### Method

# Fwupd Client modify_bios_setting_async

since: 1.8.4

#### Declaration [src]

    void
    fwupd_client_modify_bios_setting_async (
      FwupdClient* self,
      GHashTable* settings,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Modifies a BIOS setting using kernel API. The daemon will only respond to this request with proper permissions.

Available since: 1.8.4

#### Parameters

`settings`

  Type: `GHashTable`

  BIOS settings.

  The instance takes ownership of the data container, but not the data inside it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The function to run on completion.

  The argument can be `NULL`.

`callback_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.